<p align="center">
    <img src="plotsquared-logo.png" width="300">
</p>

---

PlotSquared is a land and world management plugin for Minecraft. 
It includes several highly configurable world generators. 
You can create plots of land in existing worlds using plot clusters, or you can have a full world of plots.

For the end user, PlotSquared is packed with a tonne of cool features.
It allows you to merge plots, and build together with your friends. 
You can also change a lot of plot specific settings in the form of
flags. Such as: weather, time, game modes, pvp status. 

Whilst we provide a whole load of unique features, the biggest focus
is to provide a lag-free and smooth experience.


<p align="center">
    <a href="https://bstats.org/plugin/bukkit/PlotSquared" title="PlotSquared on bStats">
        <img src="https://bstats.org/signatures/bukkit/PlotSquared.svg" />
    </a>
</p>

## Links

* [Download](https://www.spigotmc.org/resources/plotsquared-v5.77506/)
* [Discord](https://discord.gg/KxkjDVg)
* [Wiki](https://wiki.intellectualsites.com/plotsquared/home)
* [Issues](https://issues.intellectualsites.com/projects/ps)

### Developer Resources
* [API Documentation](https://wiki.intellectualsites.com/en/plotsquared/developer/development-portal)
* [Event API](https://wiki.intellectualsites.com/en/plotsquared/developer/events)
* [Flag API](https://wiki.intellectualsites.com/en/plotsquared/developer/flags)

# Building
Gradle is the **recommended** way to build the project. Use `./gradlew build` in the main project directory to build the project. Gradle is required if you intend to build or develop the Sponge module.

# Contributing
See [here](https://github.com/IntellectualSites/PlotSquared/blob/v5/CONTRIBUTING.md)

## Suggestions
Suggestions are welcome! We have a separate issue tracker for suggestions, that can be found in [this](https://github.com/IntellectualSites/PlotSquaredSuggestions) repository.

# Official Addons
* [Plot2Dynmap](http://www.spigotmc.org/resources/plot2dynmap.1292/)
* [AdvPlots](http://www.spigotmc.org/resources/advplots-%CE%B2.1500/)
* [PlotRankup](http://www.spigotmc.org/resources/plotrankup.1571/)
* [PlotZSux](https://www.spigotmc.org/resources/plotzsux.9563/)
* [IslandPlots](https://www.spigotmc.org/resources/islandplots.9421/)
* [BiomeGenerator](https://www.spigotmc.org/resources/biomegenerator.1663/)
* [PlotSquaredMG](https://www.spigotmc.org/resources/plotsquaredmg.8025/)
* [BasicPlots](https://www.spigotmc.org/resources/basicplots.6901/)
* [HoloPlots](https://www.spigotmc.org/resources/holoplots.4880/)

# Sponsors
Our official sponsor list can be found [here](https://intellectualsites.github.io/download/sponsors.html). <br>
If you are interested and want to be listed here, [contact us](https://intellectualsites.github.io/download/contact.html).
